Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/mod_surf_para.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/mod_surf_para.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/mod_surf_para.F90	(revision 3814)
@@ -49,5 +49,5 @@
 
   SUBROUTINE Init_surf_para(knon)
-  USE mod_phys_lmdz_para, mpi_rank_root=>mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -168,5 +168,5 @@
      
   SUBROUTINE gather_surf_mpi_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -180,5 +180,5 @@
       CALL MPI_Gatherv(FieldIn,knon_mpi,MPI_INTEGER,                                &
                        FieldOut,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_INTEGER, &
-                       mpi_rank_root,COMM_LMDZ_PHY,ierr)
+                       mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE
@@ -223,5 +223,5 @@
      
   SUBROUTINE gather_surf_mpi_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -235,5 +235,5 @@
       CALL MPI_Gatherv(FieldIn,knon_mpi,MPI_REAL_LMDZ,                                 &
                        FieldOut,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_REAL_LMDZ,  &
-                       mpi_rank_root,COMM_LMDZ_PHY,ierr)            
+                       mpi_master,COMM_LMDZ_PHY,ierr)            
 #endif
     ELSE
@@ -276,5 +276,5 @@
      
   SUBROUTINE scatter_surf_mpi_i(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -288,5 +288,5 @@
       CALL MPI_Scatterv(FieldIn,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_INTEGER,   &
                         FieldOut,knon_mpi,MPI_INTEGER,                                &
-                        mpi_rank_root,COMM_LMDZ_PHY,ierr)
+                        mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE
@@ -328,5 +328,5 @@
      
   SUBROUTINE scatter_surf_mpi_r(FieldIn,FieldOut)
-  USE mod_phys_lmdz_para, mpi_rank_root => mpi_root
+  USE mod_phys_lmdz_para
 #ifdef CPP_MPI
   INCLUDE 'mpif.h'
@@ -340,5 +340,5 @@
       CALL MPI_Scatterv(FieldIn,knon_mpi_para,knon_mpi_begin_para(:)-1,MPI_INTEGER,   &
                         FieldOut,knon_mpi,MPI_INTEGER,                                &
-                        mpi_rank_root,COMM_LMDZ_PHY,ierr)
+                        mpi_master,COMM_LMDZ_PHY,ierr)
 #endif
     ELSE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/o3_chem_m.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/o3_chem_m.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/o3_chem_m.F90	(revision 3814)
@@ -20,5 +20,6 @@
     use dimphy, only: klon
     use regr_pr_comb_coefoz_m, only: c_Mob, a4_mass, a2, r_het_interm
-
+    use comconst_phy_mod
+    
     integer, intent(in):: julien ! jour julien, 1 <= julien <= 360
     real, intent(in):: gmtime ! heure de la journée en fraction de jour
@@ -39,5 +40,4 @@
     ! Variables local to the procedure:
     include "dimensions.h"
-    include "comconst.h"
     ! (for "pi")
     integer k
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/o3cm.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/o3cm.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/o3cm.F90	(revision 3814)
@@ -32,5 +32,5 @@
   IF (ntab>499) THEN
     abort_message = 'BIG ntab'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
   xincr = (bmb-amb)/real(ntab)
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/oasis.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/oasis.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/oasis.F90	(revision 3814)
@@ -218,5 +218,5 @@
        IF (ierror .NE. PRISM_Ok) THEN
           abort_message=' Probleme init dans prism_init_comp '
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        ELSE
           WRITE(lunout,*) 'inicma : init psmile ok '
@@ -240,5 +240,5 @@
     IF (ierror .NE. PRISM_Ok) THEN
        abort_message=' Probleme dans prism_def_partition '
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ELSE
        WRITE(lunout,*) 'inicma : decomposition domaine psmile ok '
@@ -268,5 +268,5 @@
                   inforecv(jf)%name
              abort_message=' Problem in call to prism_def_var_proto for fields to receive'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -286,5 +286,5 @@
                   infosend(jf)%name
              abort_message=' Problem in call to prism_def_var_proto for fields to send'
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
@@ -297,5 +297,5 @@
     IF (ierror .NE. PRISM_Ok) THEN
        abort_message=' Problem in call to prism_endef_proto'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ELSE
        WRITE(lunout,*) 'inicma : endef psmile ok '
@@ -362,5 +362,5 @@
               WRITE (lunout,*)  'Error with receiving filed : ', inforecv(i)%name, ktime   
               abort_message=' Problem in prism_get_proto '
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
           ENDIF
       ENDIF
@@ -444,5 +444,5 @@
               WRITE (lunout,*) 'Error with sending field :', infosend(i)%name, ktime   
               abort_message=' Problem in prism_put_proto '
-              CALL abort_gcm(modname,abort_message,1)
+              CALL abort_physic(modname,abort_message,1)
           ENDIF
       ENDIF
@@ -459,5 +459,5 @@
           IF (ierror .NE. PRISM_Ok) THEN
              abort_message=' Problem in prism_terminate_proto '
-             CALL abort_gcm(modname,abort_message,1)
+             CALL abort_physic(modname,abort_message,1)
           ENDIF
        ENDIF
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ocean_slab_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ocean_slab_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/ocean_slab_mod.F90	(revision 3814)
@@ -110,5 +110,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation tmp_pctsrf_slab'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     fsic(:)=0.
@@ -121,5 +121,5 @@
 !****************************************************************************************
     ALLOCATE(tslab(klon,nslay), stat=error)
-       IF (error /= 0) CALL abort_gcm &
+       IF (error /= 0) CALL abort_physic &
          (modname,'pb allocation tslab', 1)
 
@@ -127,5 +127,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation slab_bils'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     slab_bils(:) = 0.0   
@@ -133,5 +133,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation slab_bils_cum'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     bils_cum(:) = 0.0   
@@ -141,5 +141,5 @@
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_bilg'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
         slab_bilg(:) = 0.0   
@@ -147,5 +147,5 @@
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_bilg_cum'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
         bilg_cum(:) = 0.0   
@@ -153,10 +153,10 @@
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_tice'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
         ALLOCATE(seaice(klon), stat = error)
         IF (error /= 0) THEN
            abort_message='Pb allocation slab_seaice'
-           CALL abort_gcm(modname,abort_message,1)
+           CALL abort_physic(modname,abort_message,1)
         ENDIF
     END IF
@@ -169,5 +169,5 @@
     IF (error /= 0) THEN
        abort_message='Pb allocation slabh'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
     slabh(1)=50.
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/orografi.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/orografi.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/orografi.F90	(revision 3814)
@@ -1369,5 +1369,5 @@
   IF (nlon/=klon .OR. nlev/=klev) THEN
     abort_message = 'pb dimension'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
   zcons1 = 1./rd
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/orografi_strato.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/orografi_strato.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/orografi_strato.F90	(revision 3814)
@@ -1558,5 +1558,5 @@
   IF (nlon/=klon .OR. nlev/=klev) THEN
     abort_message = 'pb dimension'
-    CALL abort_gcm(modname, abort_message, 1)
+    CALL abort_physic(modname, abort_message, 1)
   END IF
   zcons1 = 1./rd
@@ -1873,5 +1873,5 @@
   PRINT *, ' DANS SUGWD nktopg=', nktopg
   PRINT *, ' DANS SUGWD nstra=', nstra
-  if (nstra == 0) call abort_gcm("sugwd_strato", "no level in stratosphere", 1)
+  if (nstra == 0) call abort_physic("sugwd_strato", "no level in stratosphere", 1)
 
   gsigcr = 0.80
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/pbl_surface_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/pbl_surface_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/pbl_surface_mod.F90	(revision 3814)
@@ -23,5 +23,5 @@
   USE climb_wind_mod,      ONLY : climb_wind_down, climb_wind_up
   USE coef_diff_turb_mod,  ONLY : coef_diff_turb
-  USE control_mod
+  USE control_phy_mod
 
 
@@ -73,14 +73,14 @@
 !****************************************************************************************    
     ALLOCATE(fder(klon), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('pbl_surface_init', 'pb in allocation',1)
+    IF (ierr /= 0) CALL abort_physic('pbl_surface_init', 'pb in allocation',1)
 
     ALLOCATE(snow(klon,nbsrf), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('pbl_surface_init', 'pb in allocation',1)
+    IF (ierr /= 0) CALL abort_physic('pbl_surface_init', 'pb in allocation',1)
 
     ALLOCATE(qsurf(klon,nbsrf), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('pbl_surface_init', 'pb in allocation',1)
+    IF (ierr /= 0) CALL abort_physic('pbl_surface_init', 'pb in allocation',1)
 
     ALLOCATE(ftsoil(klon,nsoilmx,nbsrf), stat=ierr)
-    IF (ierr /= 0) CALL abort_gcm('pbl_surface_init', 'pb in allocation',1)
+    IF (ierr /= 0) CALL abort_physic('pbl_surface_init', 'pb in allocation',1)
 
 
@@ -100,5 +100,5 @@
       WRITE(lunout,*)"or on doit commencer par les surfaces continentales"
       abort_message="voir ci-dessus"
-      CALL abort_gcm(modname,abort_message,1)
+      CALL abort_physic(modname,abort_message,1)
     ENDIF
 
@@ -109,5 +109,5 @@
       WRITE(lunout,*)' or is_oce = ',is_oce, '> is_sic = ',is_sic
       abort_message='voir ci-dessus'
-      CALL abort_gcm(modname,abort_message,1)
+      CALL abort_physic(modname,abort_message,1)
     ENDIF
 
@@ -118,5 +118,5 @@
       WRITE(lunout,*)' or is_lic = ',is_lic, '> is_sic = ',is_sic
       abort_message='voir ci-dessus'
-      CALL abort_gcm(modname,abort_message,1)
+      CALL abort_physic(modname,abort_message,1)
     ENDIF
 
@@ -130,5 +130,5 @@
        WRITE(lunout,*)'Option couplage pour l''ocean = ', type_ocean
        abort_message='option pour l''ocean non valable'
-       CALL abort_gcm(modname,abort_message,1)
+       CALL abort_physic(modname,abort_message,1)
     ENDIF
 
@@ -261,5 +261,5 @@
     USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
     USE indice_sol_mod
-
+    USE temps_phy_mod
     IMPLICIT NONE
 
@@ -272,5 +272,4 @@
     INCLUDE "compbl.h"
     INCLUDE "dimensions.h"
-    INCLUDE "temps.h"
     INCLUDE "flux_arp.h"
 !****************************************************************************************
@@ -1837,5 +1836,5 @@
           WRITE(lunout,*) 'Surface index = ', nsrf
           abort_message = 'Surface index not valid'
-          CALL abort_gcm(modname,abort_message,1)
+          CALL abort_physic(modname,abort_message,1)
        END SELECT
 
@@ -3049,5 +3048,5 @@
                 ! Security abort. This option has never been tested. To test, comment the following line.
 !                abort_message='The fraction of the continents have changed!'
-!                CALL abort_gcm(modname,abort_message,1)
+!                CALL abort_physic(modname,abort_message,1)
                 nfois(nsrf) = nfois(nsrf) + 1
              END IF
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyaqua_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyaqua_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyaqua_mod.F90	(revision 3814)
@@ -25,7 +25,8 @@
     USE fonte_neige_mod, ONLY: fonte_neige_init
     USE phys_state_var_mod
-    USE control_mod, ONLY: dayref, nday, iphysiq
+    USE control_phy_mod, ONLY: dayref, nday, iphysiq
     USE indice_sol_mod
-
+    USE temps_phy_mod
+    USE comconst_phy_mod
     USE ioipsl
     IMPLICIT NONE
@@ -34,8 +35,8 @@
     ! #include "dimphy.h"
     ! #include "YOMCST.h"
-    include "comconst.h"
+!    include "comconst.h"
     include "clesphys.h"
     include "dimsoil.h"
-    include "temps.h"
+!    include "temps.h"
 
     INTEGER, INTENT (IN) :: nlon, iflag_phys
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyetat0.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyetat0.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyetat0.F90	(revision 3814)
@@ -21,9 +21,10 @@
        zstd, zthe, zval, ale_bl, ale_bl_trig, alp_bl
   USE iostart, ONLY : close_startphy, get_field, get_var, open_startphy
-  USE infotrac, only: nbtr, type_trac, tname, niadv
+  USE infotrac_phy, only: nbtr, type_trac, tname, niadv
   USE traclmdz_mod,    ONLY : traclmdz_from_restart
   USE carbon_cycle_mod, ONLY : carbon_cycle_tr, carbon_cycle_cpl, co2_send
   USE indice_sol_mod, only: nbsrf, is_ter, epsfra, is_lic, is_oce, is_sic
   USE ocean_slab_mod, ONLY: tslab, seaice, tice, ocean_slab_init
+  USE temps_phy_mod
 
   IMPLICIT none
@@ -36,5 +37,4 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "temps.h"
   include "thermcell.h"
   include "compbl.h"
@@ -211,5 +211,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -248,5 +248,5 @@
         IF (isw.GT.99 .AND. nsrf.GT.99) THEN
            PRINT*, "Trop de bandes SW ou sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str7, '(i2.2, "srf", i2.2)') isw, nsrf
@@ -278,5 +278,5 @@
         IF (isoil.GT.99 .AND. nsrf.GT.99) THEN
            PRINT*, "Trop de couches ou sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str7, '(i2.2, "srf", i2.2)') isoil, nsrf
@@ -303,5 +303,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -358,5 +358,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -396,5 +396,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -533,5 +533,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -570,5 +570,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -695,5 +695,5 @@
         IF (nsrf.GT.99) THEN
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyetat0", "", 1)
+           call abort_physic("phyetat0", "", 1)
         ENDIF
         WRITE(str2, '(i2.2)') nsrf
@@ -715,5 +715,5 @@
       IF (nsrf.GT.99) THEN
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyetat0", "", 1)
+        call abort_physic("phyetat0", "", 1)
       ENDIF
       WRITE(str2,'(i2.2)') nsrf
@@ -734,5 +734,5 @@
        IF (nsrf.GT.99) THEN
          PRINT*, "Trop de sous-mailles"
-         call abort_gcm("phyetat0", "", 1)
+         call abort_physic("phyetat0", "", 1)
        ENDIF
        WRITE(str2,'(i2.2)') nsrf
@@ -923,5 +923,5 @@
      IF (nbsrf.GT.99) THEN
         WRITE(lunout,*) "Trop de sous-mailles"
-        call abort_gcm("phyetat0", "", 1)
+        call abort_physic("phyetat0", "", 1)
      ENDIF
 
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyredem.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyredem.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phyredem.F90	(revision 3814)
@@ -11,10 +11,11 @@
   USE iostart
   USE traclmdz_mod, ONLY : traclmdz_to_restart
-  USE infotrac
-  USE control_mod
+  USE infotrac_phy
+  USE control_phy_mod
   USE carbon_cycle_mod, ONLY : carbon_cycle_cpl, co2_send
   USE indice_sol_mod
   USE surface_data
   USE ocean_slab_mod, ONLY : tslab, seaice, tice, fsic
+  USE temps_phy_mod
 
   IMPLICIT none
@@ -26,5 +27,4 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "temps.h"
   include "thermcell.h"
   include "compbl.h"
@@ -133,5 +133,5 @@
      ELSE
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyredem", "", 1)
+        call abort_physic("phyredem", "", 1)
      ENDIF
   ENDDO
@@ -150,5 +150,5 @@
         ELSE
            PRINT*, "Trop de couches"
-           call abort_gcm("phyredem", "", 1)
+           call abort_physic("phyredem", "", 1)
         ENDIF
      ENDDO
@@ -164,5 +164,5 @@
         ELSE
            PRINT*, "Trop de couches"
-           call abort_gcm("phyredem", "", 1)
+           call abort_physic("phyredem", "", 1)
         ENDIF
      ENDDO
@@ -176,5 +176,5 @@
      ELSE
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyredem", "", 1)
+        call abort_physic("phyredem", "", 1)
      ENDIF
   END DO
@@ -189,5 +189,5 @@
      ELSE
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyredem", "", 1)
+        call abort_physic("phyredem", "", 1)
      ENDIF
   ENDDO
@@ -200,5 +200,5 @@
      ELSE
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyredem", "", 1)
+        call abort_physic("phyredem", "", 1)
      ENDIF
   ENDDO
@@ -227,5 +227,5 @@
      ELSE
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyredem", "", 1)
+        call abort_physic("phyredem", "", 1)
      ENDIF
   ENDDO
@@ -239,5 +239,5 @@
      ELSE
         PRINT*, "Trop de sous-mailles"
-        call abort_gcm("phyredem", "", 1)
+        call abort_physic("phyredem", "", 1)
      ENDIF
   ENDDO
@@ -287,5 +287,5 @@
         ELSE
            PRINT*, "Trop de sous-mailles"
-           call abort_gcm("phyredem", "", 1)
+           call abort_physic("phyredem", "", 1)
         ENDIF
      ENDDO
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_local_var_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_local_var_mod.F90	(revision 3814)
@@ -375,5 +375,5 @@
 SUBROUTINE phys_local_var_init
 USE dimphy
-USE infotrac, ONLY : nbtr
+USE infotrac_phy, ONLY : nbtr
 USE aero_mod
 USE indice_sol_mod
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_output_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_output_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_output_mod.F90	(revision 3814)
@@ -36,5 +36,5 @@
     USE iophy 
     USE dimphy
-    USE infotrac
+    USE infotrac_phy
     USE ioipsl
     USE phys_cal_mod, only : hour
@@ -45,5 +45,6 @@
     USE phys_output_ctrlout_mod
     USE mod_grid_phy_lmdz, only: klon_glo
-
+    USE temps_phy_mod
+    Use comvert_phy_mod
 #ifdef CPP_XIOS
     ! ug Pour les sorties XIOS
@@ -53,8 +54,6 @@
     IMPLICIT NONE
     include "dimensions.h"
-    include "temps.h"
     include "clesphys.h"
     include "thermcell.h"
-    include "comvert.h"
     include "iniprint.h"
 
@@ -523,5 +522,6 @@
     use ioipsl
     USE phys_cal_mod
-
+    USE comconst_phy_mod
+    USE temps_phy_mod
     IMPLICIT NONE
 
@@ -531,6 +531,4 @@
     real                :: ttt,xxx,timestep,dayseconde,dtime
     parameter (dayseconde=86400.)
-    include "temps.h"
-    include "comconst.h"
     include "iniprint.h"
 
@@ -540,5 +538,5 @@
     WRITE(lunout,*) "ipos = ", ipos
     WRITE(lunout,*) "il = ", il
-    if (ipos == 0) call abort_gcm("convers_timesteps", "bad str", 1)
+    if (ipos == 0) call abort_physic("convers_timesteps", "bad str", 1)
     read(str(1:ipos),*) ttt
     WRITE(lunout,*)ttt
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_output_write_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_output_write_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_output_write_mod.F90	(revision 3814)
@@ -25,5 +25,5 @@
 
     USE dimphy, only: klon, klev, klevp1, nslay
-    USE control_mod, only: day_step, iphysiq
+    USE control_phy_mod, only: day_step, iphysiq
     USE phys_output_ctrlout_mod, only: o_phis, o_aire, is_ter, is_lic, is_oce, &
          is_ave, is_sic, o_contfracATM, o_contfracOR, &
@@ -232,5 +232,5 @@
     USE pbl_surface_mod, only: snow
     USE indice_sol_mod, only: nbsrf
-    USE infotrac, only: nqtot, nqo, type_trac
+    USE infotrac_phy, only: nqtot, nqo, type_trac
     USE comgeomphy, only: airephy
     USE surface_data, only: type_ocean, version_ocean, ok_veget, ok_snow
@@ -247,10 +247,9 @@
 #endif
     USE phys_cal_mod, only : mth_len
-
+    USE temps_phy_mod
 
     IMPLICIT NONE
 
 
-    INCLUDE "temps.h"
     INCLUDE "clesphys.h"
     INCLUDE "thermcell.h"
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_state_var_mod.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_state_var_mod.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phys_state_var_mod.F90	(revision 3814)
@@ -402,7 +402,7 @@
 SUBROUTINE phys_state_var_init(read_climoz)
 USE dimphy
-USE control_mod
+!USE control_mod
 USE aero_mod
-USE infotrac, ONLY : nbtr
+USE infotrac_phy, ONLY : nbtr
 USE indice_sol_mod
 IMPLICIT NONE
@@ -587,5 +587,5 @@
 SUBROUTINE phys_state_var_end
 USE dimphy
-USE control_mod
+!USE control_mod
 USE indice_sol_mod
 IMPLICIT NONE
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/physiq.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/physiq.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/physiq.F90	(revision 3814)
@@ -17,5 +17,5 @@
   USE write_field_phy
   USE dimphy
-  USE infotrac
+  USE infotrac_phy
   USE mod_grid_phy_lmdz
   USE mod_phys_lmdz_para
@@ -46,5 +46,6 @@
   use radlwsw_m, only: radlwsw
   use phyaqua_mod, only: zenang_an
-  USE control_mod
+  USE control_phy_mod
+  USE temps_phy_mod
 #ifdef REPROBUS
   USE CHEM_REP, ONLY : Init_chem_rep_xjour
@@ -114,5 +115,5 @@
   include "dimsoil.h"
   include "clesphys.h"
-  include "temps.h"
+!  include "temps.h"
   include "iniprint.h"
   include "thermcell.h"
@@ -516,8 +517,4 @@
   EXTERNAL suphel    ! initialiser certaines constantes
   EXTERNAL transp    ! transport total de l'eau et de l'energie
-  EXTERNAL ecribina  ! ecrire le fichier binaire global
-  EXTERNAL ecribins  ! ecrire le fichier binaire global
-  EXTERNAL ecrirega  ! ecrire le fichier binaire regional
-  EXTERNAL ecriregs  ! ecrire le fichier binaire regional
   !IM
   EXTERNAL haut2bas  !variables de haut en bas
@@ -1031,5 +1028,5 @@
      IF (iflag_con.EQ.2.AND.iflag_cld_th.GT.-1) THEN
         abort_message = 'Tiedtke needs iflag_cld_th=-2 or -1'
-        CALL abort_gcm (modname,abort_message,1)
+        CALL abort_physic (modname,abort_message,1)
      ENDIF
      !
@@ -1090,5 +1087,5 @@
              pdtphys
         abort_message='Pas physique n est pas correct '
-        !           call abort_gcm(modname,abort_message,1)
+
         dtime=pdtphys
      ENDIF
@@ -1097,5 +1094,5 @@
              klon
         abort_message='nlon et klon ne sont pas coherents'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
      ENDIF
      IF (nlev .NE. klev) THEN
@@ -1103,5 +1100,5 @@
              klev
         abort_message='nlev et klev ne sont pas coherents'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
      ENDIF
      !
@@ -1110,5 +1107,5 @@
         WRITE(lunout,*)"Au minimum 4 appels par jour si cycle diurne"
         abort_message='Nbre d appels au rayonnement insuffisant'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
      ENDIF
      WRITE(lunout,*)"Clef pour la convection, iflag_con=", iflag_con
@@ -1165,5 +1162,5 @@
            IF(nCFMIP.GT.npCFMIP) THEN
               print*,'nCFMIP > npCFMIP : augmenter npCFMIP et recompiler'
-              call abort_gcm("physiq", "", 1)
+              call abort_physic("physiq", "", 1)
            else
               print*,'physiq npCFMIP=',npCFMIP,'nCFMIP=',nCFMIP
@@ -1664,5 +1661,5 @@
         IF (read_climoz/=-1) THEN
            abort_message ='read_climoz=-1 is recommended when solarlong0=1000.'
-           CALL abort_gcm (modname,abort_message,1)
+           CALL abort_physic (modname,abort_message,1)
         ENDIF
      ELSE
@@ -2047,5 +2044,5 @@
   IF (iflag_con.EQ.1) THEN
      abort_message ='reactiver le call conlmd dans physiq.F'
-     CALL abort_gcm (modname,abort_message,1)
+     CALL abort_physic (modname,abort_message,1)
      !     CALL conlmd (dtime, paprs, pplay, t_seri, q_seri, conv_q,
      !    .             d_t_con, d_q_con,
@@ -2185,5 +2182,5 @@
            else
        abort_message ='Ne pas passer la car www non calcule'
-       CALL abort_gcm (modname,abort_message,1)
+       CALL abort_physic (modname,abort_message,1)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
@@ -2351,5 +2348,5 @@
   ELSE
      WRITE(lunout,*) "iflag_con non-prevu", iflag_con
-     call abort_gcm("physiq", "", 1)
+     call abort_physic("physiq", "", 1)
   ENDIF
 
@@ -3017,5 +3014,5 @@
            IF (aerosol_couple .AND. config_inca == 'aero' ) THEN
             abort_message='config_inca=aero et rrtm=1 impossible'
-            call abort_gcm(modname,abort_message,1)
+            call abort_physic(modname,abort_message,1)
            ELSE
 !
@@ -3032,5 +3029,5 @@
 
               abort_message='You should compile with -rrtm if running with iflag_rrtm=1'
-              call abort_gcm(modname,abort_message,1)
+              call abort_physic(modname,abort_message,1)
 #endif
               !
@@ -3065,5 +3062,5 @@
 
            abort_message='You should compile with -rrtm if running with iflag_rrtm=1'
-           call abort_gcm(modname,abort_message,1)
+           call abort_physic(modname,abort_message,1)
 #endif
         ENDIF
@@ -3294,10 +3291,10 @@
         IF (ok_cdnc.AND.NRADLP.NE.3) THEN
            abort_message='RRTM choix incoherent NRADLP doit etre egal a 3 pour ok_cdnc' 
-           call abort_gcm(modname,abort_message,1)
+           call abort_physic(modname,abort_message,1)
         endif
 #else
 
         abort_message='You should compile with -rrtm if running with iflag_rrtm=1'
-        call abort_gcm(modname,abort_message,1)
+        call abort_physic(modname,abort_message,1)
 #endif
      ENDIF
@@ -4174,5 +4171,5 @@
     IF (abortphy==1) THEN
        abort_message ='Plantage hgardfou'
-       CALL abort_gcm (modname,abort_message,1)
+       CALL abort_physic (modname,abort_message,1)
     ENDIF
 
@@ -4192,5 +4189,5 @@
   !        "stats")          only possible in 3D runs !
 
-
+#ifdef YM_TO_DO_LATER
   IF (callstats) THEN
 
@@ -4237,4 +4234,5 @@
 
   ENDIF !if callstats
+#endif
 
   IF (lafin) THEN
Index: /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phystokenc.F90
===================================================================
--- /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phystokenc.F90	(revision 3813)
+++ /dynamico_lmdz/aquaplanet/LMDZ5/libf/phylmd/phystokenc.F90	(revision 3814)
@@ -9,8 +9,9 @@
   USE ioipsl
   USE dimphy
-  USE infotrac, ONLY : nqtot
+  USE infotrac_phy, ONLY : nqtot
   USE iophy
-  USE control_mod
+  USE control_phy_mod
   USE indice_sol_mod
+  USE tracstoke_phy_mod
   
   IMPLICIT NONE
@@ -22,5 +23,5 @@
 !======================================================================
   INCLUDE "dimensions.h"
-  INCLUDE "tracstoke.h"
+!  INCLUDE "tracstoke.h"
   INCLUDE "iniprint.h"
 !======================================================================
